//-----------------------------------------------------------------------
// <copyright file=" cof_position.cs">
// * FileName: cof_position.cs
// * history : 2019-03-25 11:33:14 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels
{
    /// <summary>
    /// cof_position Entity Model
    /// </summary>
    [Table("cof_position")]
    public class cof_position
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
        public int ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> AllotID { get; set; }

        /// <summary>
        /// 职位名称
        /// </summary>
        public string JobTitle { get; set; }

        /// <summary>
        /// 职位归类 1 院领导 2 行政中层 3 行政工勤 4 临床科室主任 5 临床科室副主任 6 临床科室护士长
        /// </summary>
        public Nullable<int> JobType { get; set; }

        /// <summary>
        /// 额外补偿系数
        /// </summary>
        public Nullable<decimal> ExtraFactor { get; set; }

        /// <summary>
        /// 职位类别 1 普通类别 2 基础绩效来源
        /// </summary>
        public Nullable<int> State { get; set; }
    }
}
